## pavucontrol-qt 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(pavucontrol-qt)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

set(LXQTBT_MINIMUM_VERSION "0.1.0")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

include(GNUInstallDirs)

find_package(Qt5Widgets REQUIRED QUIET)
find_package(Qt5LinguistTools REQUIRED QUIET)
find_package(Qt5DBus REQUIRED)

find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtTranslate)

find_package(PkgConfig REQUIRED QUIET)
pkg_check_modules(
    PULSE REQUIRED
    libpulse>=5.0
    libpulse-mainloop-glib>=0.9.16
)
pkg_check_modules(
    GLIB REQUIRED
    glib-2.0
)

add_subdirectory(src)

=== debian/changelog ===
pavucontrol-qt (0.2.0-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.2.0.
  * Removed some no longer needed build dependencies:
    - cmake
    - liblxqt0-dev
    - libqt5xdg-dev
    - libqt5xdgiconloader-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
  * Added build dependency lxqt-build-tools (>= 0.3.0)
  * Added dependency pulseaudio (Closes: #847373)
  * Fixed Recommends: obconf-qt-l10n -> pavucontrol-qt-l10n

 -- Alf Gaida <agaida@siduction.org>  Mon, 12 Dec 2016 18:56:14 +0100

pavucontrol-qt (0.1.0-2) unstable; urgency=medium

  * Moved to unstable
  * Fixed signing-key, thanks Rohan Garg <rohan@kde.org>

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 20:34:41 +0200

pavucontrol-qt (0.1.0-1) experimental; urgency=medium

  * Initial release (Closes: #838724)

 -- Alf Gaida <agaida@siduction.org>  Sat, 24 Sep 2016 16:18:14 +0200

=== debian/control ===
Source: pavucontrol-qt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10),
               libkf5windowsystem-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               lxqt-build-tools (>= 0.3.0),
               xdg-user-dirs
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/pavucontrol-qt.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/pavucontrol-qt.git -b debian/sid
Homepage: https://github.com/lxde/pavucontrol-qt

Package: pavucontrol-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         pulseaudio
Recommends: pavucontrol-qt-l10n
Description: Qt port of volume control pavucontrol
 Qt port of volume control pavucontrol of sound server PulseAudio. As such it
 can be used to adjust all controls provided by PulseAudio as well as some
 additional settings.
 .
 The software belongs to the LXQt project but its usage isn't limited to this
 desktop environment.
 .
 This package contain the application files.

## pavucontrol-qt 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
-set(LXQTBT_MINIMUM_VERSION "0.1.0")
+set(LXQTBT_MINIMUM_VERSION "0.4.0")
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -13,16 +13,26 @@
 
 include(GNUInstallDirs)
 
-find_package(Qt5Widgets REQUIRED QUIET)
-find_package(Qt5LinguistTools REQUIRED QUIET)
+find_package(Qt5Widgets REQUIRED)
+find_package(Qt5LinguistTools REQUIRED)
 find_package(Qt5DBus REQUIRED)
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
+if(NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE Release)
+endif()
+
+set(PAVUCONTROLQT_MAJOR_VERSION 0)
+set(PAVUCONTROLQT_MINOR_VERSION 3)
+set(PAVUCONTROLQT_PATCH_VERSION 0)
+set(PAVUCONTROLQT_VERSION ${PAVUCONTROLQT_MAJOR_VERSION}.${PAVUCONTROLQT_MINOR_VERSION}.${PAVUCONTROLQT_PATCH_VERSION})
+add_definitions("-DPAVUCONTROLQT_VERSION=\"${PAVUCONTROLQT_VERSION}\"")
+
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 include(LXQtTranslate)
 
-find_package(PkgConfig REQUIRED QUIET)
+find_package(PkgConfig REQUIRED)
 pkg_check_modules(
     PULSE REQUIRED
     libpulse>=5.0

=== src/CMakeLists.txt ===
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE Release)
endif()

include_directories(
    ${PULSE_INCLUDE_DIRS}
    ${GLIB_INCLUDE_DIRS}
)

set(pavucontrol-qt_HDRS
    pavucontrol.h
    mainwindow.h
    cardwidget.h
    channel.h
    devicewidget.h
    minimalstreamwidget.h
    rolewidget.h
    sinkinputwidget.h
    sinkwidget.h
    sourceoutputwidget.h
    sourcewidget.h
    streamwidget.h
)

set(pavucontrol-qt_SRCS
    pavucontrol.cc
    mainwindow.cc
    cardwidget.cc
    channel.cc
    devicewidget.cc
    minimalstreamwidget.cc
    rolewidget.cc
    sinkinputwidget.cc
    sinkwidget.cc
    sourceoutputwidget.cc
    sourcewidget.cc
    streamwidget.cc
    uniqueapplication.cc
)

set(pavucontrol-qt_UI
    cardwidget.ui
    devicewidget.ui
    mainwindow.ui
    streamwidget.ui
)

# Translations
lxqt_translate_ts(pavucontrol-qt_QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${pavucontrol-qt_HDRS}
        ${pavucontrol-qt_SRCS}
        ${pavucontrol-qt_UI}
    INSTALL_DIR
        "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
    PULL_TRANSLATIONS
        ${PULL_TRANSLATIONS}
    CLEAN_TRANSLATIONS
        ${CLEAN_TRANSLATIONS}
    TRANSLATIONS_REPO
        ${TRANSLATIONS_REPO}
    TRANSLATIONS_REFSPEC
        ${TRANSLATIONS_REFSPEC}
)
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
    pavucontrol-qt.desktop.in
)

add_executable(pavucontrol-qt
    ${pavucontrol-qt_SRCS}
    ${pavucontrol-qt_QM_FILES}
    ${pavucontrol-qt_QM_LOADER}
    ${DESKTOP_FILES}
)
set_property(
     TARGET pavucontrol-qt APPEND
     PROPERTY COMPILE_DEFINITIONS
     PAVUCONTROL_QT_DATA_DIR="${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}"
)

target_link_libraries(pavucontrol-qt
    Qt5::Widgets
    Qt5::DBus
    ${PULSE_LIBRARIES}
    ${GLIB_LIBRARIES}
)

install(TARGETS
    pavucontrol-qt
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

=== debian/changelog ===
pavucontrol-qt (0.3.0-3) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields
  * Removed debian/gbp.conf 

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 23:51:12 +0100

pavucontrol-qt (0.3.0-2) unstable; urgency=medium

  * Transition to unstable 

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 20:00:17 +0100

pavucontrol-qt (0.3.0-1) experimental; urgency=medium

  * Cherry-picking new upstream release 0.3.0.
  * Switched to experimental
  * Bumped Standards to 0.4.0, no changes needed
  * Bumped minimum version lxqt-build-tools (>= 0.4.0)
  * Bumped years in copyright

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Sep 2017 15:19:13 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                libpulse-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.3.0),
+               lxqt-build-tools (>= 0.4.0),
                xdg-user-dirs
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/pavucontrol-qt.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/pavucontrol-qt.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/pavucontrol-qt.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/pavucontrol-qt.git
 Homepage: https://github.com/lxde/pavucontrol-qt
 
 Package: pavucontrol-qt

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPULL_TRANSLATIONS=OFF \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/pavucontrol-qt/releases .*/pavucontrol-qt-([\d\.]+).tar.xz

## pavucontrol-qt 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
-set(LXQTBT_MINIMUM_VERSION "0.4.0")
+set(LXQTBT_MINIMUM_VERSION "0.5.0")
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -24,11 +24,12 @@
 endif()
 
 set(PAVUCONTROLQT_MAJOR_VERSION 0)
-set(PAVUCONTROLQT_MINOR_VERSION 3)
+set(PAVUCONTROLQT_MINOR_VERSION 4)
 set(PAVUCONTROLQT_PATCH_VERSION 0)
 set(PAVUCONTROLQT_VERSION ${PAVUCONTROLQT_MAJOR_VERSION}.${PAVUCONTROLQT_MINOR_VERSION}.${PAVUCONTROLQT_PATCH_VERSION})
 add_definitions("-DPAVUCONTROLQT_VERSION=\"${PAVUCONTROLQT_VERSION}\"")
 
+include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 include(LXQtTranslate)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,6 @@
     sourceoutputwidget.cc
     sourcewidget.cc
     streamwidget.cc
-    uniqueapplication.cc
 )
 
 set(pavucontrol-qt_UI
@@ -84,8 +83,8 @@
 target_link_libraries(pavucontrol-qt
     Qt5::Widgets
     Qt5::DBus
-    ${PULSE_LIBRARIES}
-    ${GLIB_LIBRARIES}
+    ${PULSE_LDFLAGS}
+    ${GLIB_LDFLAGS}
 )
 
 install(TARGETS

=== debian/changelog ===
pavucontrol-qt (0.4.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 16:53:39 -0700

pavucontrol-qt (0.4.0-1) unstable; urgency=medium

  * Cherry-picked upstream release 0.4.0
  * Bump lxqt-build-tools to >= 0.5.0~
  * Fixed watch file lxde -> lxqt
  * Moved .gitignore from debian to ./
  * Cleaned up debian/source/options

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 May 2018 20:29:30 +0200

pavucontrol-qt (0.3.0-4) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright
  * Removed trailing whitespaces in changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 18:21:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: pavucontrol-qt
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libkf5windowsystem-dev,
                libpulse-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.4.0),
+               lxqt-build-tools (>= 0.5.0~),
                xdg-user-dirs
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/pavucontrol-qt.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/pavucontrol-qt.git
-Homepage: https://github.com/lxde/pavucontrol-qt
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/lxqt-team/pavucontrol-qt
+Vcs-Git: https://salsa.debian.org/lxqt-team/pavucontrol-qt.git
+Homepage: https://github.com/lxqt/pavucontrol-qt
 
 Package: pavucontrol-qt
 Architecture: any

## pavucontrol-qt 0.14.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(pavucontrol-qt)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

include(GNUInstallDirs)

# Minimum Versions
set(GLIB_MINIMUM_VERSION "2.50.0")
set(LXQTBT_MINIMUM_VERSION "0.6.0")
set(QT_MINIMUM_VERSION "5.7.1")

find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

find_package(GLIB ${GLIB_MINIMUM_VERSION} REQUIRED)

set(PAVUCONTROLQT_MAJOR_VERSION 0)
set(PAVUCONTROLQT_MINOR_VERSION 14)
set(PAVUCONTROLQT_PATCH_VERSION 1)
set(PAVUCONTROLQT_VERSION ${PAVUCONTROLQT_MAJOR_VERSION}.${PAVUCONTROLQT_MINOR_VERSION}.${PAVUCONTROLQT_PATCH_VERSION})
add_definitions("-DPAVUCONTROLQT_VERSION=\"${PAVUCONTROLQT_VERSION}\"")

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtTranslate)

find_package(PkgConfig REQUIRED)
pkg_check_modules(
    PULSE REQUIRED
    libpulse>=5.0
    libpulse-mainloop-glib>=0.9.16
)

add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,3 @@
-if(NOT CMAKE_BUILD_TYPE)
-   set(CMAKE_BUILD_TYPE Release)
-endif()
-
 include_directories(
     ${PULSE_INCLUDE_DIRS}
     ${GLIB_INCLUDE_DIRS}
@@ -54,15 +50,8 @@
         ${pavucontrol-qt_UI}
     INSTALL_DIR
         "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
-    PULL_TRANSLATIONS
-        ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS
-        ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO
-        ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC
-        ${TRANSLATIONS_REFSPEC}
 )
+
 lxqt_translate_desktop(DESKTOP_FILES
     SOURCES
     pavucontrol-qt.desktop.in

=== debian/changelog ===
pavucontrol-qt (0.14.1-1ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:53:40 +0100

pavucontrol-qt (0.14.1-1ubuntu1) disco; urgency=medium

  * Lubuntuify the package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 12:29:43 -0600

pavucontrol-qt (0.14.1-1) unstable; urgency=medium

  * Cherry-picked upstream release 0.14.1.

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 00:51:28 +0100

pavucontrol-qt (0.14.0-1) unstable; urgency=medium

  * Cherry-picked upstream release 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 15:25:30 +0100

=== debian/control ===
Source: pavucontrol-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               lxqt-build-tools (>= 0.6.0~),
               xdg-user-dirs
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/pavucontrol-qt/
Vcs-Git: https://phab.lubuntu.me/source/pavucontrol-qt.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/pavucontrol-qt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/pavucontrol-qt.git
Homepage: https://github.com/lxqt/pavucontrol-qt

Package: pavucontrol-qt
Architecture: any
Depends: pulseaudio, ${misc:Depends}, ${shlibs:Depends}
Recommends: pavucontrol-qt-l10n
Description: Qt port of volume control pavucontrol
 Qt port of volume control pavucontrol of sound server PulseAudio. As such it
 can be used to adjust all controls provided by PulseAudio as well as some
 additional settings.
 .
 The software belongs to the LXQt project but its usage isn't limited to this
 desktop environment.
 .
 This package contain the application files.

Package: pavucontrol-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for pavucontrol-qt
 This package contains the l10n files needed by the pavucontrol-qt.

## pavucontrol-qt 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,8 @@
 
 # Minimum Versions
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LXQTBT_MINIMUM_VERSION "0.6.0")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQTBT_MINIMUM_VERSION "0.7.0")
+set(QT_MINIMUM_VERSION "5.10.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
@@ -30,8 +30,8 @@
 find_package(GLIB ${GLIB_MINIMUM_VERSION} REQUIRED)
 
 set(PAVUCONTROLQT_MAJOR_VERSION 0)
-set(PAVUCONTROLQT_MINOR_VERSION 14)
-set(PAVUCONTROLQT_PATCH_VERSION 1)
+set(PAVUCONTROLQT_MINOR_VERSION 15)
+set(PAVUCONTROLQT_PATCH_VERSION 0)
 set(PAVUCONTROLQT_VERSION ${PAVUCONTROLQT_MAJOR_VERSION}.${PAVUCONTROLQT_MINOR_VERSION}.${PAVUCONTROLQT_PATCH_VERSION})
 add_definitions("-DPAVUCONTROLQT_VERSION=\"${PAVUCONTROLQT_VERSION}\"")

=== debian/changelog ===
pavucontrol-qt (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
  * Update Standards-version to 4.5.0, no changes needed.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 00:17:27 -0500

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                libpulse-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.6.0~),
+               lxqt-build-tools (>= 0.7.0),
                xdg-user-dirs
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/pavucontrol-qt/
 Vcs-Git: https://phab.lubuntu.me/source/pavucontrol-qt.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/pavucontrol-qt

## pavucontrol-qt 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,8 @@
 
 # Minimum Versions
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LXQTBT_MINIMUM_VERSION "0.7.0")
-set(QT_MINIMUM_VERSION "5.10.0")
+set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
@@ -30,7 +30,7 @@
 find_package(GLIB ${GLIB_MINIMUM_VERSION} REQUIRED)
 
 set(PAVUCONTROLQT_MAJOR_VERSION 0)
-set(PAVUCONTROLQT_MINOR_VERSION 15)
+set(PAVUCONTROLQT_MINOR_VERSION 16)
 set(PAVUCONTROLQT_PATCH_VERSION 0)
 set(PAVUCONTROLQT_VERSION ${PAVUCONTROLQT_MAJOR_VERSION}.${PAVUCONTROLQT_MINOR_VERSION}.${PAVUCONTROLQT_PATCH_VERSION})
 add_definitions("-DPAVUCONTROLQT_VERSION=\"${PAVUCONTROLQT_VERSION}\"")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
     sourceoutputwidget.h
     sourcewidget.h
     streamwidget.h
+    elidinglabel.h
 )
 
 set(pavucontrol-qt_SRCS
@@ -31,6 +32,7 @@
     sourceoutputwidget.cc
     sourcewidget.cc
     streamwidget.cc
+    elidinglabel.cc
 )
 
 set(pavucontrol-qt_UI

=== debian/changelog ===
pavucontrol-qt (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Andrew Lee (李健秋) ]
  * New upstream release. (Closes: #978181)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 16:48:22 +0800

=== debian/control ===
Source: pavucontrol-qt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               lxqt-build-tools (>= 0.8.0~),
               xdg-user-dirs
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/pavucontrol-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/pavucontrol-qt.git
Homepage: https://github.com/lxqt/pavucontrol-qt

Package: pavucontrol-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         pulseaudio
Recommends: pavucontrol-qt-l10n
Description: Qt port of volume control pavucontrol
 Qt port of volume control pavucontrol of sound server PulseAudio. As such it
 can be used to adjust all controls provided by PulseAudio as well as some
 additional settings.
 .
 The software belongs to the LXQt project but its usage isn't limited to this
 desktop environment.
 .
 This package contain the application files.

Package: pavucontrol-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for pavucontrol-qt
 This package contains the l10n files needed by the pavucontrol-qt.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/pavucontrol-qt/releases .*/pavucontrol-qt-([\d\.]+).tar.xz

## pavucontrol-qt 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,18 +19,17 @@
 
 # Minimum Versions
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(LXQTBT_MINIMUM_VERSION "0.9.0")
 set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
 find_package(GLIB ${GLIB_MINIMUM_VERSION} REQUIRED)
 
 set(PAVUCONTROLQT_MAJOR_VERSION 0)
-set(PAVUCONTROLQT_MINOR_VERSION 16)
+set(PAVUCONTROLQT_MINOR_VERSION 17)
 set(PAVUCONTROLQT_PATCH_VERSION 0)
 set(PAVUCONTROLQT_VERSION ${PAVUCONTROLQT_MAJOR_VERSION}.${PAVUCONTROLQT_MINOR_VERSION}.${PAVUCONTROLQT_PATCH_VERSION})
 add_definitions("-DPAVUCONTROLQT_VERSION=\"${PAVUCONTROLQT_VERSION}\"")

=== debian/changelog ===
pavucontrol-qt (0.17.0-0ubuntu2) jammy; urgency=medium

  * Allow pipewire-pulse as an alternate depends.

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Dec 2021 18:42:24 +0000

pavucontrol-qt (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0
  * Update debian/control
    - Bump debhelper-compat to 13
    - Bump Standards-Version to 4.5.1
    - Use lxqt-build-tools 0.9.0
    - Extend pavucontrol-qt-l10n package description
  * Rename tag for lintian override
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Wed, 18 Aug 2021 13:57:36 +0200

pavucontrol-qt (0.16.0-1ubuntu2) hirsute; urgency=medium

  * Restore correct upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Feb 2021 19:47:12 +0000

pavucontrol-qt (0.16.0-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Lubuntuify the package.
    - Run wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Jan 2021 17:05:03 +0000

=== debian/control ===
Source: pavucontrol-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               lxqt-build-tools (>= 0.9.0),
               xdg-user-dirs
Standards-Version: 4.5.1
Vcs-Browser: https://phab.lubuntu.me/source/pavucontrol-qt/
Vcs-Git: https://phab.lubuntu.me/source/pavucontrol-qt.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/pavucontrol-qt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/pavucontrol-qt.git
Homepage: https://github.com/lxqt/pavucontrol-qt

Package: pavucontrol-qt
Architecture: any
Depends: pulseaudio | pipewire-pulse, ${misc:Depends}, ${shlibs:Depends}
Recommends: pavucontrol-qt-l10n
Description: Qt port of volume control pavucontrol
 Qt port of volume control pavucontrol of sound server PulseAudio. As such it
 can be used to adjust all controls provided by PulseAudio as well as some
 additional settings.
 .
 The software belongs to the LXQt project but its usage isn't limited to this
 desktop environment.
 .
 This package contain the application files.

Package: pavucontrol-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for pavucontrol-qt
 The l10n files for pavucontrol-qt.
 .
 This package contains the l10n files needed by the pavucontrol-qt.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## pavucontrol-qt 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,8 @@
 
 # Minimum Versions
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LXQTBT_MINIMUM_VERSION "0.9.0")
-set(QT_MINIMUM_VERSION "5.12.0")
+set(LXQTBT_MINIMUM_VERSION "0.11.0")
+set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
@@ -28,8 +28,8 @@
 
 find_package(GLIB ${GLIB_MINIMUM_VERSION} REQUIRED)
 
-set(PAVUCONTROLQT_MAJOR_VERSION 0)
-set(PAVUCONTROLQT_MINOR_VERSION 17)
+set(PAVUCONTROLQT_MAJOR_VERSION 1)
+set(PAVUCONTROLQT_MINOR_VERSION 1)
 set(PAVUCONTROLQT_PATCH_VERSION 0)
 set(PAVUCONTROLQT_VERSION ${PAVUCONTROLQT_MAJOR_VERSION}.${PAVUCONTROLQT_MINOR_VERSION}.${PAVUCONTROLQT_PATCH_VERSION})
 add_definitions("-DPAVUCONTROLQT_VERSION=\"${PAVUCONTROLQT_VERSION}\"")

=== debian/changelog ===
pavucontrol-qt (1.1.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Sep 2022 14:40:47 -0700

pavucontrol-qt (1.1.0-1) experimental; urgency=medium

  * New upstream release 1.1.0.
  * Removed obsolete debian/compat file.
  * Switched to GBP.
  * Upstreamed non-Ubuntu-specific packaging changes from Ubuntu, modifying
    the following files:
    - control
    - copyright
    - lintian-overrides
    - *.install
    - rules
    - upstream/*

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 10 Jul 2022 04:35:38 -0500

pavucontrol-qt (0.16.0-2) unstable; urgency=medium

  * Depend on either pulseaudio or pipewire-pulse (Closes: #995690)

 -- Arto Jantunen <viiru@debian.org>  Wed, 03 Nov 2021 12:41:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,11 @@
 Source: pavucontrol-qt
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
-Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
+Uploaders: Alf Gaida <agaida@siduction.org>,
+           Andrew Lee (李健秋) <ajqlee@debian.org>,
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+           Simon Quigley <tsimonq2@debian.org>,
+           Aaron Rainbolt <arraybolt3@gmail.com>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -9,14 +13,13 @@
                libpulse-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.9.0),
+               lxqt-build-tools (>= 0.11.0),
                xdg-user-dirs
-Standards-Version: 4.5.1
-Vcs-Browser: https://phab.lubuntu.me/source/pavucontrol-qt/
-Vcs-Git: https://phab.lubuntu.me/source/pavucontrol-qt.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/pavucontrol-qt
-XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/pavucontrol-qt.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/lxqt-team/pavucontrol-qt
+Vcs-Git: https://salsa.debian.org/lxqt-team/pavucontrol-qt.git
 Homepage: https://github.com/lxqt/pavucontrol-qt
+Rules-Requires-Root: no
 
 Package: pavucontrol-qt
 Architecture: any

## pavucontrol-qt 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # Minimum Versions
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LXQTBT_MINIMUM_VERSION "0.11.0")
+set(LXQTBT_MINIMUM_VERSION "0.12.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
@@ -29,7 +29,7 @@
 find_package(GLIB ${GLIB_MINIMUM_VERSION} REQUIRED)
 
 set(PAVUCONTROLQT_MAJOR_VERSION 1)
-set(PAVUCONTROLQT_MINOR_VERSION 1)
+set(PAVUCONTROLQT_MINOR_VERSION 2)
 set(PAVUCONTROLQT_PATCH_VERSION 0)
 set(PAVUCONTROLQT_VERSION ${PAVUCONTROLQT_MAJOR_VERSION}.${PAVUCONTROLQT_MINOR_VERSION}.${PAVUCONTROLQT_PATCH_VERSION})
 add_definitions("-DPAVUCONTROLQT_VERSION=\"${PAVUCONTROLQT_VERSION}\"")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -57,6 +57,7 @@
 lxqt_translate_desktop(DESKTOP_FILES
     SOURCES
     pavucontrol-qt.desktop.in
+    USE_YAML
 )
 
 add_executable(pavucontrol-qt
@@ -73,7 +74,6 @@
 
 target_link_libraries(pavucontrol-qt
     Qt5::Widgets
-    Qt5::DBus
     ${PULSE_LDFLAGS}
     ${GLIB_LDFLAGS}
 )

=== debian/changelog ===
pavucontrol-qt (1.2.0-1ubuntu3) lunar; urgency=medium

  * Swap "pulseaudio | pipewire-pulse" to "pipewire-pulse | pulseaudio" in
    debian/control to convince Germinate to grab the right package when the
    Lubuntu ISO builds.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 02 Apr 2023 15:10:28 -0500

pavucontrol-qt (1.2.0-1ubuntu2) lunar; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

  [ Aaron Rainbolt ]
  * Revert a sync from Debian.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Updated copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 12 Feb 2023 17:33:26 -0600

pavucontrol-qt (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies in debian/control.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Nov 2022 16:43:15 -0600

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pavucontrol-qt
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -13,17 +13,19 @@
                libpulse-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.11.0),
+               lxqt-build-tools (>= 0.12.0),
                xdg-user-dirs
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/lxqt-team/pavucontrol-qt
-Vcs-Git: https://salsa.debian.org/lxqt-team/pavucontrol-qt.git
+Standards-Version: 4.6.2
+Vcs-Browser: https://git.lubuntu.me/Lubuntu/pavucontrol-qt-packaging
+Vcs-Git: https://git.lubuntu.me/Lubuntu/pavucontrol-qt-packaging.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/pavucontrol-qt
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/pavucontrol-qt.git
 Homepage: https://github.com/lxqt/pavucontrol-qt
 Rules-Requires-Root: no
 
 Package: pavucontrol-qt
 Architecture: any
-Depends: pulseaudio | pipewire-pulse, ${misc:Depends}, ${shlibs:Depends}
+Depends: pipewire-pulse | pulseaudio, ${misc:Depends}, ${shlibs:Depends}
 Recommends: pavucontrol-qt-l10n
 Description: Qt port of volume control pavucontrol
  Qt port of volume control pavucontrol of sound server PulseAudio. As such it

## pavucontrol-qt 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # Minimum Versions
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LXQTBT_MINIMUM_VERSION "0.12.0")
+set(LXQTBT_MINIMUM_VERSION "0.13.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
@@ -29,7 +29,7 @@
 find_package(GLIB ${GLIB_MINIMUM_VERSION} REQUIRED)
 
 set(PAVUCONTROLQT_MAJOR_VERSION 1)
-set(PAVUCONTROLQT_MINOR_VERSION 2)
+set(PAVUCONTROLQT_MINOR_VERSION 3)
 set(PAVUCONTROLQT_PATCH_VERSION 0)
 set(PAVUCONTROLQT_VERSION ${PAVUCONTROLQT_MAJOR_VERSION}.${PAVUCONTROLQT_MINOR_VERSION}.${PAVUCONTROLQT_PATCH_VERSION})
 add_definitions("-DPAVUCONTROLQT_VERSION=\"${PAVUCONTROLQT_VERSION}\"")

=== debian/changelog ===
pavucontrol-qt (1.3.0-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Jul 2023 15:05:32 -0700

pavucontrol-qt (1.3.0-0.1~S7) unstabe; urgency=medium

  * New upstream release.

 -- S.7 <severusseptimius7@gmail.com>  Sat, 20 May 2023 15:23:24 +0300

pavucontrol-qt (1.2.0-1) unstable; urgency=medium

  * Merge to unstable.
  * New upstream release.
  * Update d/watch for GitHub.
  * Bump Standards-Version to 4.6.2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 12:51:18 +0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pavucontrol-qt
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -13,19 +13,17 @@
                libpulse-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.12.0),
+               lxqt-build-tools (>= 0.13.0~),
                xdg-user-dirs
 Standards-Version: 4.6.2
-Vcs-Browser: https://git.lubuntu.me/Lubuntu/pavucontrol-qt-packaging
-Vcs-Git: https://git.lubuntu.me/Lubuntu/pavucontrol-qt-packaging.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/pavucontrol-qt
-XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/pavucontrol-qt.git
+Vcs-Browser: https://salsa.debian.org/lxqt-team/pavucontrol-qt
+Vcs-Git: https://salsa.debian.org/lxqt-team/pavucontrol-qt.git
 Homepage: https://github.com/lxqt/pavucontrol-qt
 Rules-Requires-Root: no
 
 Package: pavucontrol-qt
 Architecture: any
-Depends: pipewire-pulse | pulseaudio, ${misc:Depends}, ${shlibs:Depends}
+Depends: pulseaudio | pipewire-pulse, ${misc:Depends}, ${shlibs:Depends}
 Recommends: pavucontrol-qt-l10n
 Description: Qt port of volume control pavucontrol
  Qt port of volume control pavucontrol of sound server PulseAudio. As such it

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # export DH_VERBOSE=1
 
 export LC_ALL=C.UTF-8
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
@@ -15,3 +14,7 @@
 	dh_auto_configure -- \
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## pavucontrol-qt 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 find_package(GLIB ${GLIB_MINIMUM_VERSION} REQUIRED)
 
 set(PAVUCONTROLQT_MAJOR_VERSION 1)
-set(PAVUCONTROLQT_MINOR_VERSION 3)
+set(PAVUCONTROLQT_MINOR_VERSION 4)
 set(PAVUCONTROLQT_PATCH_VERSION 0)
 set(PAVUCONTROLQT_VERSION ${PAVUCONTROLQT_MAJOR_VERSION}.${PAVUCONTROLQT_MINOR_VERSION}.${PAVUCONTROLQT_PATCH_VERSION})
 add_definitions("-DPAVUCONTROLQT_VERSION=\"${PAVUCONTROLQT_VERSION}\"")

=== debian/changelog ===
pavucontrol-qt (1.4.0-0ubuntu6) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:47:16 +0200

pavucontrol-qt (1.4.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:24:46 +0000

pavucontrol-qt (1.4.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:19:57 +0000

pavucontrol-qt (1.4.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:26:57 +0000

pavucontrol-qt (1.4.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:35:40 +0000

pavucontrol-qt (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Overhauled copyright file.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 12 Nov 2023 12:20:37 -0600

pavucontrol-qt (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 03 Aug 2023 10:43:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pavucontrol-qt
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -13,17 +13,19 @@
                libpulse-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.13.0~),
+               lxqt-build-tools (>= 0.13.0),
                xdg-user-dirs
 Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/lxqt-team/pavucontrol-qt
-Vcs-Git: https://salsa.debian.org/lxqt-team/pavucontrol-qt.git
+Vcs-Browser: https://git.lubuntu.me/Lubuntu/pavucontrol-qt-packaging
+Vcs-Git: https://git.lubuntu.me/Lubuntu/pavucontrol-qt-packaging.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/pavucontrol-qt
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/pavucontrol-qt.git
 Homepage: https://github.com/lxqt/pavucontrol-qt
 Rules-Requires-Root: no
 
 Package: pavucontrol-qt
 Architecture: any
-Depends: pulseaudio | pipewire-pulse, ${misc:Depends}, ${shlibs:Depends}
+Depends: pipewire-pulse | pulseaudio, ${misc:Depends}, ${shlibs:Depends}
 Recommends: pavucontrol-qt-l10n
 Description: Qt port of volume control pavucontrol
  Qt port of volume control pavucontrol of sound server PulseAudio. As such it

## pavucontrol-qt 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -19,17 +19,16 @@
 
 # Minimum Versions
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LXQTBT_MINIMUM_VERSION "0.13.0")
-set(QT_MINIMUM_VERSION "5.15.0")
+set(LXQTBT_MINIMUM_VERSION "2.0.0")
+set(QT_MINIMUM_VERSION "6.6.0")
 
-find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6 ${QT_MINIMUM_VERSION} COMPONENTS REQUIRED Widgets LinguistTools)
+find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
 find_package(GLIB ${GLIB_MINIMUM_VERSION} REQUIRED)
 
-set(PAVUCONTROLQT_MAJOR_VERSION 1)
-set(PAVUCONTROLQT_MINOR_VERSION 4)
+set(PAVUCONTROLQT_MAJOR_VERSION 2)
+set(PAVUCONTROLQT_MINOR_VERSION 0)
 set(PAVUCONTROLQT_PATCH_VERSION 0)
 set(PAVUCONTROLQT_VERSION ${PAVUCONTROLQT_MAJOR_VERSION}.${PAVUCONTROLQT_MINOR_VERSION}.${PAVUCONTROLQT_PATCH_VERSION})
 add_definitions("-DPAVUCONTROLQT_VERSION=\"${PAVUCONTROLQT_VERSION}\"")

=== debian/changelog ===
pavucontrol-qt (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Updated copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 27 Jun 2024 23:12:01 -0500

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libkf5windowsystem-dev,
+               libkf6windowsystem-dev,
                libpulse-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
-               lxqt-build-tools (>= 0.13.0),
-               xdg-user-dirs
-Standards-Version: 4.6.2
+               lxqt-build-tools (>= 2.0.0),
+               xdg-user-dirs,
+               qt6-svg-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/pavucontrol-qt-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/pavucontrol-qt-packaging.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/pavucontrol-qt
@@ -41,7 +40,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: qttranslations5-l10n, ${misc:Depends}
+Depends: qt6-translations-l10n, ${misc:Depends}
 Description: Language package for pavucontrol-qt
  The l10n files for pavucontrol-qt.
  .

## pavucontrol-qt 2.1.0

=== debian/changelog ===
pavucontrol-qt (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0.
  * debian/control: build-deps on lxqt-build-tools (>= 2.1.0~).
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 04 Dec 2024 18:57:49 +0100

pavucontrol-qt (2.0.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 27 Nov 2024 19:08:12 +0100

pavucontrol-qt (2.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.0.0
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: bump dep on lxqt-build-tools (>= 2.0.0+really2.0.0~)
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on libqt5svg5-dev -> qt6-svg-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev

  [ Andrew Lee (李健秋) ]
  * debian/rules: suppress blhc error by added ignore-line-regexp.
  * debian/salsa-ci.yml: drop blhc tests error workaround.
  * debian/salsa-ci.yml: build against to experimental.
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 22 Sep 2024 11:02:13 +0200

pavucontrol-qt (1.4.0-2) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078305)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

 -- Macy Lin <macy@debconf.org>  Mon, 09 Sep 2024 21:12:20 +0800

pavucontrol-qt (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 10 Dec 2023 17:09:48 +0100

pavucontrol-qt (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0.
  * debian/control: build-deps on lxqt-build-tools (>= 0.13.0~).
  * debian/copyright: update.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/salsa-ci.yml: allow failure on blhc error.
  * debian/control: update team address.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 05 Aug 2023 05:51:34 +0200

=== debian/control ===
Source: pavucontrol-qt
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               libpulse-dev,
               lxqt-build-tools (>= 2.1.0~),
               qt6-svg-dev,
               qt6-tools-dev,
               xdg-user-dirs
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/pavucontrol-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/pavucontrol-qt.git
Homepage: https://github.com/lxqt/pavucontrol-qt
Rules-Requires-Root: no

Package: pavucontrol-qt
Architecture: any
Depends: pulseaudio | pipewire-pulse, ${misc:Depends}, ${shlibs:Depends}
Recommends: pavucontrol-qt-l10n
Description: Qt port of volume control pavucontrol
 Qt port of volume control pavucontrol of sound server PulseAudio. As such it
 can be used to adjust all controls provided by PulseAudio as well as some
 additional settings.
 .
 The software belongs to the LXQt project but its usage isn't limited to this
 desktop environment.
 .
 This package contain the application files.

Package: pavucontrol-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for pavucontrol-qt
 The l10n files for pavucontrol-qt.
 .
 This package contains the l10n files needed by the pavucontrol-qt.

## pavucontrol-qt 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # Minimum Versions
 set(GLIB_MINIMUM_VERSION "2.50.0")
-set(LXQTBT_MINIMUM_VERSION "2.0.0")
+set(LXQTBT_MINIMUM_VERSION "2.2.0")
 set(QT_MINIMUM_VERSION "6.6.0")
 
 find_package(Qt6 ${QT_MINIMUM_VERSION} COMPONENTS REQUIRED Widgets LinguistTools)
@@ -28,7 +28,7 @@
 find_package(GLIB ${GLIB_MINIMUM_VERSION} REQUIRED)
 
 set(PAVUCONTROLQT_MAJOR_VERSION 2)
-set(PAVUCONTROLQT_MINOR_VERSION 0)
+set(PAVUCONTROLQT_MINOR_VERSION 2)
 set(PAVUCONTROLQT_PATCH_VERSION 0)
 set(PAVUCONTROLQT_VERSION ${PAVUCONTROLQT_MAJOR_VERSION}.${PAVUCONTROLQT_MINOR_VERSION}.${PAVUCONTROLQT_PATCH_VERSION})
 add_definitions("-DPAVUCONTROLQT_VERSION=\"${PAVUCONTROLQT_VERSION}\"")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -73,7 +73,7 @@
 )
 
 target_link_libraries(pavucontrol-qt
-    Qt5::Widgets
+    Qt6::Widgets
     ${PULSE_LDFLAGS}
     ${GLIB_LDFLAGS}
 )

=== src/translations/CMakeLists.txt ===
project(pavucontrol-qt)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/pavucontrol-qt/translations")

=== debian/changelog ===
pavucontrol-qt (2.2.0-1) unstable; urgency=medium

  * Team upload to unstable.
  * New upstream version 2.2.0. (Closes: #1097556) 
  * debian/copyright: update.
  * debian/control: build-deps on lxqt-build-tools (>= 2.2.0~).
  * debian/control: bump to Standards-version to 4.7.2.

 -- Macy Lin <macy@debconf.org>  Sun, 17 Aug 2025 12:40:28 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                libkf6windowsystem-dev,
                libpulse-dev,
-               lxqt-build-tools (>= 2.1.0~),
+               lxqt-build-tools (>= 2.2.0~),
                qt6-svg-dev,
                qt6-tools-dev,
                xdg-user-dirs
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/pavucontrol-qt
 Vcs-Git: https://salsa.debian.org/lxqt-team/pavucontrol-qt.git
 Homepage: https://github.com/lxqt/pavucontrol-qt
